#!/bin/bash

SAXON=~/"Apps/Saxon/saxon9he.jar"
XSL=~/"Apps/Oxygen XML Editor 18/frameworks/tei/xml/tei/stylesheet/tools/oddbyexample.xsl"
TEI=~/"Apps/Oxygen XML Editor 18/frameworks/tei/xml/tei/odd/p5subset.xml"
OUT="odd/ayn-al-nazar.odd"

# oddbyexample expects a folder of XML files.
# In order to produce a clean state, we copy
# the source files into a distinct directory.

# Create temporary directory
SRC="$(mktemp -d --tmpdir "tmp_odd_XXXXX")"

# Copy source XML files to that directory
cp *.xml "$SRC"
# Create ODD
java -jar "$SAXON" -it:main -o:"$OUT" "$XSL" corpus="$SRC" defaultSource="$TEI"
# Remove temporary files.
rm "$SRC"/*.xml
rmdir "$SRC"
